import {createBrowserRouter, RouterProvider} from "react-router-dom"

import './App.css'
import Elections2024 from './Elections2024'

function App() {
  const router = createBrowserRouter([
    {
      path: "/",
      element: <Elections2024 typeResultats="france" />,
    },
    {
      path: "/elections/europeennes/2024/france/",
      element: <Elections2024 typeResultats="france" />,
    },
    {
      path: "/elections/europeennes/2024/region/:zoneId/",
      element: <Elections2024 typeResultats="regions" />,
    },
    {
      path: "/elections/europeennes/2024/departement/:zoneId/",
      element: <Elections2024 typeResultats="departements" />,
    },
    {
      path: "/elections/europeennes/2024/commune/:zoneId/",
      element: <Elections2024 typeResultats="communes" />,
    },
  ])

  return <>
    <RouterProvider router={router} />
  </>
}

export default App;
